## org.eclipse.m2m.atl.profiler.model
Interface ProfilingOperation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ProfilingInstruction

All Known Subinterfaces:
  ProfilingModel

All Known Implementing Classes:
  ProfilingModelImpl, ProfilingOperationImpl

    public interface ProfilingOperation

extends ProfilingInstruction

A representation of the model object 'Profiling Operation'.

The following features are supported:

- `End Time`
- `Total Executed Instructions`
- `Execution Instructions`
- `End Memory Usage`
- `Context`
- `Max Memory Usage`
- `Matching Operation`
- `Execution Errors`

See Also:
  `ModelPackage.getProfilingOperation()`

Method Summary
`org.eclipse.emf.common.util.EList<Context>` `getContext()` Returns the value of the 'Context' containment reference list.
`long` `getEndMemoryUsage()` Returns the value of the 'End Memory Usage' attribute
`long` `getEndTime()` Returns the value of the 'End Time' attribute
`org.eclipse.emf.common.util.EList<ExecutionError>` `getExecutionErrors()` Returns the value of the 'Execution Errors' containment reference list.
`org.eclipse.emf.common.util.EList<ProfilingInstruction>` `getExecutionInstructions()` Returns the value of the 'Execution Instructions' containment reference list.
`long` `getMaxMemoryUsage()` Returns the value of the 'Max Memory Usage' attribute
`int` `getTotalExecutedInstructions()` Returns the value of the 'Total Executed Instructions' attribute
`boolean` `isMatchingOperation()` Returns the value of the 'Matching Operation' attribute
`void` `setEndMemoryUsage(long value)` Sets the value of the '`End Memory Usage`' attribute
`void` `setEndTime(long value)` Sets the value of the '`End Time`' attribute
`void` `setMatchingOperation(boolean value)` Sets the value of the '`Matching Operation`' attribute
`void` `setMaxMemoryUsage(long value)` Sets the value of the '`Max Memory Usage`' attribute
`void` `setTotalExecutedInstructions(int value)` Sets the value of the '`Total Executed Instructions`' attribute

Methods inherited from interface org.eclipse.m2m.atl.profiler.model.ProfilingInstruction
`getAtlInstruction, getContent, getInstructionID, getLaunchedMemoryUsage, getLaunchedTime, getParentOperation, getStackFrames, isHasError, setAtlInstruction, setContent, setHasError, setInstructionID, setLaunchedMemoryUsage, setLaunchedTime, setParentOperation`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEndTime

    long getEndTime()

  Returns the value of the 'End Time' attribute.

  If the meaning of the 'End Time' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Time' attribute.
  See Also:
    `setEndTime(long)`, `ModelPackage.getProfilingOperation_EndTime()`

### setEndTime

    void setEndTime(long value)

  Sets the value of the '`End Time`' attribute.

  Parameters:
    `value` - the new value of the 'End Time' attribute.
  See Also:
    `getEndTime()`

### getTotalExecutedInstructions

    int getTotalExecutedInstructions()

  Returns the value of the 'Total Executed Instructions' attribute.

  If the meaning of the 'Total Executed Instructions' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Total Executed Instructions' attribute.
  See Also:
    `setTotalExecutedInstructions(int)`, `ModelPackage.getProfilingOperation_TotalExecutedInstructions()`

### setTotalExecutedInstructions

    void setTotalExecutedInstructions(int value)

  Sets the value of the '`Total Executed Instructions`' attribute.

  Parameters:
    `value` - the new value of the 'Total Executed Instructions' attribute.
  See Also:
    `getTotalExecutedInstructions()`

### getExecutionInstructions

    org.eclipse.emf.common.util.EList<ProfilingInstruction> getExecutionInstructions()

  Returns the value of the 'Execution Instructions' containment reference list. The list contents are of type `ProfilingInstruction`.

  If the meaning of the 'Execution Instructions' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Execution Instructions' containment reference list.
  See Also:
    `ModelPackage.getProfilingOperation_ExecutionInstructions()`

### getEndMemoryUsage

    long getEndMemoryUsage()

  Returns the value of the 'End Memory Usage' attribute.

  If the meaning of the 'End Memory Usage' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Memory Usage' attribute.
  See Also:
    `setEndMemoryUsage(long)`, `ModelPackage.getProfilingOperation_EndMemoryUsage()`

### setEndMemoryUsage

    void setEndMemoryUsage(long value)

  Sets the value of the '`End Memory Usage`' attribute.

  Parameters:
    `value` - the new value of the 'End Memory Usage' attribute.
  See Also:
    `getEndMemoryUsage()`

### getContext

    org.eclipse.emf.common.util.EList<Context> getContext()

  Returns the value of the 'Context' containment reference list. The list contents are of type `Context`.

  If the meaning of the 'Context' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context' containment reference list.
  See Also:
    `ModelPackage.getProfilingOperation_Context()`

### getMaxMemoryUsage

    long getMaxMemoryUsage()

  Returns the value of the 'Max Memory Usage' attribute.

  If the meaning of the 'Max Memory Usage' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Max Memory Usage' attribute.
  See Also:
    `setMaxMemoryUsage(long)`, `ModelPackage.getProfilingOperation_MaxMemoryUsage()`

### setMaxMemoryUsage

    void setMaxMemoryUsage(long value)

  Sets the value of the '`Max Memory Usage`' attribute.

  Parameters:
    `value` - the new value of the 'Max Memory Usage' attribute.
  See Also:
    `getMaxMemoryUsage()`

### isMatchingOperation

    boolean isMatchingOperation()

  Returns the value of the 'Matching Operation' attribute.

  If the meaning of the 'Matching Operation' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Matching Operation' attribute.
  See Also:
    `setMatchingOperation(boolean)`, `ModelPackage.getProfilingOperation_MatchingOperation()`

### setMatchingOperation

    void setMatchingOperation(boolean value)

  Sets the value of the '`Matching Operation`' attribute.

  Parameters:
    `value` - the new value of the 'Matching Operation' attribute.
  See Also:
    `isMatchingOperation()`

### getExecutionErrors

    org.eclipse.emf.common.util.EList<ExecutionError> getExecutionErrors()

  Returns the value of the 'Execution Errors' containment reference list. The list contents are of type `ExecutionError`.

  If the meaning of the 'Execution Errors' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Execution Errors' containment reference list.
  See Also:
    `ModelPackage.getProfilingOperation_ExecutionErrors()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.